> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/partner/search-partners.md).

# Search partners

Search partners using their company name or contact email. If a generic string is provided, the system searches for matches in company names and contact emails for all your partners.

## Request parameters

<table><thead><tr><th width="136.5999755859375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, output by the <strong>Login</strong> method. An exception will be thrown if the values are incorrect.</p></td></tr><tr><td><code>searchString</code></td><td><p><strong>Required (string)</strong></p><p>Can be either the company name or contact email of the partner. The system searches generic strings in both the names of the companies as well as the contact email addresses.</p></td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication

$searchString = 'YOUR_SEARCH_STRING'; // String to search partners by

try {
    $PartnerSearch= $client->searchPartners($sessionID, $searchString);
} catch (SoapFault $e) {
    echo "Partner: " . $e->getMessage();
    exit;
}

var_dump ("Partner", $PartnerSearch);
```

## Response parameters

<table><thead><tr><th width="121">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="broken://pages/7ef7fb1a9f47cf7b136add106110af5b3926cb71"><code>Partner</code></a></td><td><strong>Array of objects</strong></td></tr></tbody></table>

## Errors

<table><thead><tr><th width="181.0001220703125">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>INVALID_SEARCH</strong></td><td>Invalid value. Please use a string to search.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/partner/search-partners.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
